############################################################################
##
## Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
## All rights reserved.
## Contact: PySide team (contact@pyside.org)
##
## This file is part of the examples of the Python bindings for the
## QtSparql module, and it is based on a example from the C++ version
## of this module.
##
## $QT_BEGIN_LICENSE:LGPL$
## No Commercial Usage
## This file contains pre-release code and may not be distributed.
## You may use this file in accordance with the terms and conditions
## contained in the Technology Preview License Agreement accompanying
## this package.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## In addition, as a special exception, Nokia gives you certain additional
## rights.  These rights are described in the Nokia Qt LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## If you have questions regarding the use of this file, please contact
## the PySide team at contact@pyside.org.
##
##
##
##
##
##
##
##
## $QT_END_LICENSE$
##
#############################################################################


from PySide.QtCore import QCoreApplication
from QtSparql import QSparqlConnection, QSparqlQuery

def main():
    app = QCoreApplication([])
    connection = QSparqlConnection("QTRACKER")
    if connection.isValid():
        print "Driver found"
    else:
        print "Driver not found"
        return 1

    query = QSparqlQuery("select ?u { ?u a nco:Contact . }")
    result = connection.exec_(query)
    result.waitForFinished()

    if not result.hasError():
        print "Executing query ok"
    else: 
        print "Executing query failed"
        return 1

    while result.next():
        print result.binding(0).value()
    return 0

if __name__ == "__main__":
    main()
